# Uses of Class
io.dapr.client.domain.GetConfigurationRequest

Packages that use GetConfigurationRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of GetConfigurationRequest in io.dapr.client

Methods in io.dapr.client with parameters of type GetConfigurationRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Map<String,ConfigurationItem>>`
DaprClient.`getConfiguration(GetConfigurationRequest request)`
Retrieve Map of configurations based on a provided configuration request object.
`reactor.core.publisher.Mono<Map<String,ConfigurationItem>>`
DaprClientImpl.`getConfiguration(GetConfigurationRequest request)`
Retrieve Map of configurations based on a provided configuration request object.

## Uses of GetConfigurationRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return GetConfigurationRequest
Modifier and Type
Method
Description
`GetConfigurationRequest`
GetConfigurationRequest.`setMetadata(Map<String,String> metadata)`